version.hpp File Reference

Macros to detect cereal version. More...

Go to the source code of this file.

## Macros

#define | CEREAL_VERSION_MAJOR 1
| The major version.
#define | CEREAL_VERSION_MINOR 3
| The minor version.
#define | CEREAL_VERSION_PATCH 0
| The patch version.
#define | CEREAL_VERSION
| The full version as a single number. More...

## Detailed Description

Macros to detect cereal version.

These macros can assist in determining the version of cereal. Be warned that cereal is not guaranteed to be compatible across different versions. For more information on releases of cereal, see https://github.com/USCiLab/cereal/releases.

## Macro Definition Documentation

## CEREAL_VERSION

#define CEREAL_VERSION

Value:
(CEREAL_VERSION_MAJOR * 10000 \
+ CEREAL_VERSION_MINOR * 100 \
+ CEREAL_VERSION_PATCH)

The full version as a single number.

CEREAL_VERSION_PATCH
#define CEREAL_VERSION_PATCH
The patch version.
Definition: version.hpp:45
CEREAL_VERSION_MINOR
#define CEREAL_VERSION_MINOR
The minor version.
Definition: version.hpp:43
CEREAL_VERSION_MAJOR
#define CEREAL_VERSION_MAJOR
The major version.
Definition: version.hpp:41